All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.wizard2
Class CancelAction

    com.sas.swing.visuals.wizard2.CancelAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class CancelAction

CancelAction handles a `Wizard`'s cancel events.

An `Action` object can be added to the `ButtonNavigationPanel` using the following version of the `ButtonNavigationPanel`'s add method: `public void addButton(Action a, Object constraint)`

Two key/value object properties have been defined for this class:

            Action.NAME = "Cancel"
            ButtonNavigationPanel.ACTION_COMMAND = ButtonNavigationPanel.CANCEL_COMMAND

See Also:
  `ButtonNavigationPanel`, `HelpAction`, `Next_FinishAction`, `FinishAction`, `BackAction`, Serialized Form

Field Summary
`protected Wizard` | `wizard` The `Wizard` object associated with this `Action`.

Constructor Summary
`CancelAction(Wizard wizard)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.

Field Detail

### wizard

    protected Wizard wizard

  The `Wizard` object associated with this `Action`.

Constructor Detail

### CancelAction

    public CancelAction(Wizard wizard)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.

  Calls the `wizard` method `handleButtonCommand` passing the `ActionEvent`'s action command.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.